# $dcc.connectionType

Returns the connection type of the specified DCC

Syntax

    $dcc.connectionType
    $dcc.connectionType(<dcc_id>)

Description

Returns the connection type of the specified DCC.
Returns the string "ACTIVE" for active DCC connections and the string "PASSIVE" for passive DCC connections. If <dcc_id> is omitted then the DCC Session associated to the current window is assumed.
If <dcc_id> is not a valid DCC session identifier (or it is omitted and the current window has no associated DCC session) then this function prints a warning and returns an empty sting.
See the dcc module documentation for more informations.

Index, Functions

KVIrc 3.2.0 Documentation
Generated by root at Mon Mar 13 07:05:21 2006